Bug 783203 - Failed to restore file
Failed to restore file
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: deja-dup (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-19 11:38 EST by Tim Waugh
Modified: 2013-02-13 13:44 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 13:44:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Restore From Where? (23.06 KB, image/png)
2012-01-19 11:38 EST, Tim Waugh
no flags Details
Restore From When? (19.54 KB, image/png)
2012-01-19 11:39 EST, Tim Waugh
no flags Details
Restoring... (22.92 KB, image/png)
2012-01-19 11:39 EST, Tim Waugh
no flags Details
Restore Failed (23.41 KB, image/png)
2012-01-19 11:39 EST, Tim Waugh
no flags Details

  None (edit)
Description Tim Waugh 2012-01-19 11:38:38 EST
Created attachment 556324 [details]
Restore From Where?

Description of problem:
Deja Dup failed to restore a particular file, and it is repeatable.

Version-Release number of selected component (if applicable):
deja-dup-20.1-1.fc16.x86_64
duplicity-0.6.17-1.fc16.x86_64

How reproducible:
100%

Steps to Reproduce:
1.In nautilus, navigate to .local/share/evolution/mail/imap/*
2.Right-click on folders.db and select 'Revert to Previous Version...'
3.See screenshots.
  
Actual results:
Restore Failed
Could not restore '/home/twaugh/.local/share/evolution/mail/imap/twaugh@mail.corp.redhat.com/folders.db': File not found in backup

Additional info:
Screenshots to follow.  Here's .xsession-errors:

** (deja-dup:11842): DEBUG: DuplicityInstance.vala:196: Running the following duplicity (11916) command: duplicity 'collection-status' '--gio' 'file:///mnt/backup/dejadup-twaugh' '--no-encryption' '--verbosity=9' '--gpg-options=--no-use-agent' '--archive-dir=/home/twaugh/.cache/deja-dup' '--log-fd=17'
** (deja-dup:11842): DEBUG: DuplicityInstance.vala:568: duplicity (11916) exited with value 0
** (deja-dup:11842): DEBUG: DuplicityInstance.vala:196: Running the following duplicity (13936) command: duplicity 'collection-status' '--restore-time=2012-01-19T09:09:45Z' '--gio' 'file:///mnt/backup/dejadup-twaugh' '--no-encryption' '--verbosity=9' '--gpg-options=--no-use-agent' '--archive-dir=/home/twaugh/.cache/deja-dup' '--log-fd=16'
** (deja-dup:11842): DEBUG: DuplicityInstance.vala:568: duplicity (13936) exited with value 0
** (deja-dup:11842): DEBUG: DuplicityInstance.vala:196: Running the following duplicity (13942) command: duplicity 'list-current-files' '--restore-time=2012-01-19T09:09:45Z' '--gio' 'file:///mnt/backup/dejadup-twaugh' '--no-encryption' '--verbosity=9' '--gpg-options=--no-use-agent' '--archive-dir=/home/twaugh/.cache/deja-dup' '--log-fd=18'
** (deja-dup:11842): DEBUG: DuplicityInstance.vala:568: duplicity (13942) exited with value 0
** (deja-dup:11842): DEBUG: DuplicityInstance.vala:196: Running the following duplicity (14701) command: duplicity 'restore' '--restore-time=2012-01-19T09:09:45Z' '--file-to-restore=home/twaugh/.local/share/evolution/mail/imap/twaugh@mail.corp.redhat.com/folders.db' '--gio' '--force' 'file:///mnt/backup/dejadup-twaugh' '/home/twaugh/.local/share/evolution/mail/imap/twaugh@mail.corp.redhat.com/folders.db' '--no-encryption' '--verbosity=9' '--gpg-options=--no-use-agent' '--archive-dir=/home/twaugh/.cache/deja-dup' '--log-fd=18'
** (deja-dup:11842): DEBUG: DuplicityInstance.vala:568: duplicity (14701) exited with value 19
Comment 1 Tim Waugh 2012-01-19 11:39:09 EST
Created attachment 556326 [details]
Restore From When?
Comment 2 Tim Waugh 2012-01-19 11:39:33 EST
Created attachment 556327 [details]
Restoring...
Comment 3 Tim Waugh 2012-01-19 11:39:58 EST
Created attachment 556328 [details]
Restore Failed
Comment 4 Fedora End Of Life 2013-01-16 10:37:25 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 13:44:43 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.